Commit 283e8b66 authored by Rajko Albrecht's avatar Rajko Albrecht

Enable work with redis-store >~ 1.4

parent 764f1d8d
require 'redis'
require 'redis/store'
require 'redis/store/version'
require 'redis/store-with-cas/cas'
require 'redis/store-with-cas/version'
require 'redis/store/marshalling'
begin
require 'redis/store/marshalling'
rescue LoadError
require 'redis/store/serialization'
end
require 'redis/store/namespace'
require 'redis/store-with-cas/namespace'
......
......@@ -20,7 +20,7 @@ Gem::Specification.new do |s|
s.license = 'MIT'
s.add_dependency 'redis', '>= 2.2', '< 4'
s.add_dependency 'redis-store', '>= 1.1.0', '< 1.4'
s.add_dependency 'redis-store', '>= 1.1.0', '< 2'
s.add_development_dependency 'rake', '~> 10'
s.add_development_dependency 'bundler', '~> 1.3'
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment